Name:           maven-pmd-plugin
Version:        3.6
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven PMD Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-pmd-plugin/
Source0:        http://archive.apache.org/dist/maven/plugins/maven-pmd-plugin-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(net.sourceforge.pmd:pmd-core) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-java) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-javascript) >= 5.3.2
BuildRequires:  mvn(net.sourceforge.pmd:pmd-jsp) >= 5.3.2
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
A Maven plugin for the PMD toolkit, that produces a report on both code rule 
violations and detected copy and paste fragments, as well as being able to 
fail the build based on these metrics.
  

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q

# remove unnecessary animal sniffer and enforcer plugins
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

# remove test dependency not in fedora
%pom_remove_dep com.github.tomakehurst:wiremock

%build
# ignore test failures
# all tests fail, so this is probably environmental but I'm not sure what's missing
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.6-2.mga6
+ Revision: 977282
- First rebuild of the java stack
- sync package maven-pmd-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 3.1-1.mga5
+ Revision: 807857
- Sync with Fedora 21 (update to 3.2)

* Wed Oct 15 2014 umeabot <umeabot> 3.0.1-6.mga5
+ Revision: 741589
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.0.1-4.mga4
+ Revision: 544947
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 3.0.1-3.mga4
+ Revision: 500530
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.7.1-2.mga3
+ Revision: 359739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 2.7.1-1.mga3
+ Revision: 268945
- New version 2.7.1

* Fri Jan 06 2012 dmorgan <dmorgan> 2.6-2.mga2
+ Revision: 192643
- Remove useless (build)requires
- Add buildrequire
- Add maven-site-plugin as buildrequire
- Adapt to build with maven 3.x

  + gil <gil>
    - update to 2.6

* Tue Jul 19 2011 dmorgan <dmorgan> 2.5-4.mga2
+ Revision: 126658
- Fix %%install
- Update to current guidelines.
- Use upstream source.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.5-3.mga1
+ Revision: 92718
- Rebuild after bootstrapping
- imported package maven-pmd-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.5-1
- Initial package.
